## Apache Zeta Components Manual :: Docs For Class ezcWebdavFileBackendOptions

### Webdav::ezcWebdavFileBackendOptions

### Class ezcWebdavFileBackendOptions

Class containing the options for the file backend.

An instance of this class is created an hold in ezcWebdavFileBackend instances. Using these options the behavior of the file backend can be changed.

Source for this file: /Webdav/src/options/backend_file_options.php

    ezcBaseOptions
       |
       --ezcWebdavFileBackendOptions

Version: | //autogen//

### Properties

int | read/write | `$directoryMode` Mode directories are created with.
int | read/write | `$fileMode` Mode files are created with.
bool | read/write | `$hideDotFiles` Indicates wheather to hide files starting with a dot
string | read/write | `$lockFileName` Name used for the lock file.
float | read/write | `$lockTimeout` Timeout in seconds after which a lock is considered dead and therefore removed.
bool | read/write | `$noLock` If locking should be used internally in the back end, to ensure operations are atomic.
string | read/write | `$propertyStoragePath` Name used for property storage paths
bool | read/write | `$useMimeExts` Indicates wheather to use PHPs extensions to receive the correct mime time for a file instead of just returning the mime type originally set by the client.
int | read/write | `$waitForLock` Time to wait between check if a lock can be acquired, in microseconds.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcWebdavFileBackendOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcWebdavFileBackendOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3